org.keycloak.util

## Class SystemPropertiesJsonParserFactory.SystemPropertiesAwareJsonParser

- java.lang.Object
- - com.fasterxml.jackson.core.JsonParser
  - - com.fasterxml.jackson.core.util.JsonParserDelegate
    - - org.keycloak.util.SystemPropertiesJsonParserFactory.SystemPropertiesAwareJsonParser

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Closeable, AutoCloseable
  Enclosing class:
    SystemPropertiesJsonParserFactory

      public static class SystemPropertiesJsonParserFactory.SystemPropertiesAwareJsonParser
      extends com.fasterxml.jackson.core.util.JsonParserDelegate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonParser

      `com.fasterxml.jackson.core.JsonParser.Feature, com.fasterxml.jackson.core.JsonParser.NumberType`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.core.util.JsonParserDelegate

      `delegate`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonParser

      `_features`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemPropertiesAwareJsonParser(com.fasterxml.jackson.core.JsonParser d)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getText()`

    - ### Methods inherited from class com.fasterxml.jackson.core.util.JsonParserDelegate

      `canReadObjectId, canReadTypeId, canUseSchema, clearCurrentToken, close, disable, enable, getBigIntegerValue, getBinaryValue, getBooleanValue, getByteValue, getCodec, getCurrentLocation, getCurrentName, getCurrentToken, getCurrentTokenId, getCurrentValue, getDecimalValue, getDoubleValue, getEmbeddedObject, getFeatureMask, getFloatValue, getInputSource, getIntValue, getLastClearedToken, getLongValue, getNumberType, getNumberValue, getObjectId, getParsingContext, getSchema, getShortValue, getTextCharacters, getTextLength, getTextOffset, getTokenLocation, getTypeId, getValueAsBoolean, getValueAsBoolean, getValueAsDouble, getValueAsDouble, getValueAsInt, getValueAsInt, getValueAsLong, getValueAsLong, getValueAsString, getValueAsString, hasCurrentToken, hasTextCharacters, hasTokenId, isClosed, isEnabled, isExpectedStartArrayToken, isExpectedStartObjectToken, nextToken, nextValue, overrideCurrentName, readBinaryValue, requiresCustomCodec, setCodec, setCurrentValue, setFeatureMask, setSchema, skipChildren, version`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonParser

      `_codec, _constructError, _reportUnsupportedOperation, configure, getBinaryValue, nextBooleanValue, nextFieldName, nextFieldName, nextIntValue, nextLongValue, nextTextValue, readBinaryValue, readValueAs, readValueAs, readValueAsTree, readValuesAs, readValuesAs, releaseBuffered, releaseBuffered`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemPropertiesAwareJsonParser

          public SystemPropertiesAwareJsonParser(com.fasterxml.jackson.core.JsonParser d)

  - ### Method Detail

    - #### getText

          public String getText()
                         throws IOException

      Overrides:
        `getText` in class `com.fasterxml.jackson.core.util.JsonParserDelegate`
      Throws:
        `IOException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.